Java 8 - Overview
======
released on 18 March 2014

New Features
------
### Lambda expression
Adds functional processing capability to Java.

### Method references
Referencing functions by their names instead of invoking them directly. Using functions as parameter.

### Default method
Interface to have default method implementation.

### New tools 
New compiler tools and utilities are added like ‘jdeps’ to figure out dependencies.

### Stream API 
New stream API to facilitate pipeline processing.

### Date Time API 
Improved date time API.

### Optional 
Emphasis on best practices to handle null values properly.

### Nashorn, JavaScript Engine 
A Java-based engine to execute JavaScript code.